#pragma once

#include "BtnST.h"
#include "KeyboardButtonST.h"
#include "ResourceServerST.h"
#include "DigitST.h"
#include "Icons.h"

class CDlgDigitST : public CDialog
{
public:
	CDlgDigitST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgDigitST)
	enum { IDD = IDD_DIGITST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgDigitST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgDigitST)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnResetPartial();
	afx_msg void OnGo();
	afx_msg void OnDestroy();
	//}}AFX_MSG

private:
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;

	BOOL				m_bRunning;
	CKeyboardButtonST	m_btnGo;
	CKeyboardButtonST	m_btnReset;
	CDigitST			m_dgtSpeed;
	CDigitST			m_dgtTotal;
	CDigitST			m_dgtPartial;

	DWORD				m_dwTotal;
	DWORD				m_dwPartial;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
